#! /usr/bin/env bash

source util.sh
PREFIX="$1"

echo "$TAG Removing symlinks to $PREFIX/bin..."
TOOLS="c++ cpp g++ gcc gcc-ar gcc-nm gcc-ranlib gcov gcov-dump gcov-tool \
  lto-dump"

for t in $TOOLS; do
  [[ -L "$PREFIX/bin/sh-elf-$t" ]] && rm "$PREFIX/bin/sh-elf-$t"
done
for l in "$PREFIX"/bin/sh3eb-elf-gcc-*; do
  [[ -L "$l" ]] && rm "$l"
done

echo "$TAG Other files are managed by the fxSDK's SuperH sysroot"
echo "$TAG Uninstall Lephenixnoir/fxsdk to clean up the sysroot"
